@import 'styles/main.scss';

.field {
  &__label {
    display: block;
    margin-bottom: 8px;
  }

  &__input {
    font: inherit;
    
    width: 100%;
    padding: 12px;
    background: #fff;
    border-radius: 8px;
    border: none;
    outline: none;
    border: 1px solid #ddd;

    font-weight: 400;
    font-size: 16px;
    line-height: 20px;

    color: #111;

    &::placeholder {
      transition: 0.3s ease all;
      color: #999;
    }

    &:focus{
      &::placeholder {
        opacity: 0;
        transform: translateX(4px);
      }
    }
  }

  &--disabled {
    opacity: 0.3;
    cursor: not-allowed;
    pointer-events: none;
  }
}